Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval.client
Class MexClient

    java.lang.Object
      org.apache.axis2.client.ServiceClient
          org.apache.axis2.dataretrieval.client.MexClient

    public class MexClient

extends ServiceClient

Field Summary

Fields inherited from class org.apache.axis2.client.ServiceClient
`ANON_OUT_IN_OP, ANON_OUT_ONLY_OP, ANON_ROBUST_OUT_ONLY_OP, ANON_SERVICE, AUTO_OPERATION_CLEANUP, log`

Constructor Summary
`MexClient()`
`MexClient(ConfigurationContext configContext, AxisService axisService)`
`MexClient(ConfigurationContext configContext, javax.wsdl.Definition wsdl4jDefinition, javax.xml.namespace.QName wsdlServiceName, java.lang.String portName)`
`MexClient(ConfigurationContext configContext, java.net.URL wsdlURL, javax.xml.namespace.QName wsdlServiceName, java.lang.String portName)`

Method Summary
`org.apache.axiom.om.OMElement` | `setupGetMetadataRequest(java.lang.String dialect, java.lang.String identifier)` Builds OMElement that makes up of SOAP body.

Methods inherited from class org.apache.axis2.client.ServiceClient
`addHeader, addHeader, addHeadersToEnvelope, addStringHeader, cleanup, cleanupTransport, createClient, disengageModule, disengageModule, engageModule, engageModule, equals, finalize, fireAndForget, fireAndForget, getAxisConfiguration, getAxisService, getLastOperationContext, getMyEPR, getOptions, getOverrideOptions, getServiceContext, getTargetEPR, hashCode, removeHeaders, sendReceive, sendReceive, sendReceiveNonBlocking, sendReceiveNonBlocking, sendReceiveNonBlocking, sendReceiveNonBlocking, sendRobust, sendRobust, setAxisService, setCachingOperationContext, setOptions, setOverrideOptions, setTargetEPR`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MexClient

    public MexClient(ConfigurationContext configContext,
                     AxisService axisService)
              throws AxisFault

Throws:
  `AxisFault`

### MexClient

    public MexClient(ConfigurationContext configContext,
                     javax.wsdl.Definition wsdl4jDefinition,
                     javax.xml.namespace.QName wsdlServiceName,
                     java.lang.String portName)
              throws AxisFault

Throws:
  `AxisFault`

### MexClient

    public MexClient(ConfigurationContext configContext,
                     java.net.URL wsdlURL,
                     javax.xml.namespace.QName wsdlServiceName,
                     java.lang.String portName)
              throws AxisFault

Throws:
  `AxisFault`

### MexClient

    public MexClient()
              throws AxisFault

Throws:
  `AxisFault`

Method Detail

### setupGetMetadataRequest

    public org.apache.axiom.om.OMElement setupGetMetadataRequest(java.lang.String dialect,
                                                                 java.lang.String identifier)
                                                          throws AxisFault

  Builds OMElement that makes up of SOAP body.

  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.